Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.dom
Class BXNode

    java.lang.Object
      org.basex.api.dom.BXNode

All Implemented Interfaces:
  org.w3c.dom.Node

Direct Known Subclasses:
  BXAttr, BXChar, BXDoc, BXDocFrag, BXElem, BXPI

    public abstract class BXNode

extends java.lang.Object
implements org.w3c.dom.Node

DOM - Node implementation.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node newChild)`
`org.w3c.dom.Node` | `cloneNode(boolean deep)`
`short` | `compareDocumentPosition(org.w3c.dom.Node other)`
`void` | `error()` Throws a DOM modification exception.
`org.w3c.dom.NamedNodeMap` | `getAttributes()`
`java.lang.String` | `getBaseURI()`
`org.w3c.dom.NodeList` | `getChildNodes()`
`java.lang.Object` | `getFeature(java.lang.String feature, java.lang.String version)`
`org.w3c.dom.Node` | `getFirstChild()`
`org.w3c.dom.Node` | `getLastChild()`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getNamespaceURI()`
`org.w3c.dom.Node` | `getNextSibling()`
`Nod` | `getNod()` Returns the XQuery node.
`java.lang.String` | `getNodeName()`
`short` | `getNodeType()`
`java.lang.String` | `getNodeValue()`
`org.w3c.dom.Document` | `getOwnerDocument()`
`org.w3c.dom.Node` | `getParentNode()`
`java.lang.String` | `getPrefix()`
`org.w3c.dom.Node` | `getPreviousSibling()`
`java.lang.String` | `getTextContent()`
`java.lang.Object` | `getUserData(java.lang.String key)`
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`org.w3c.dom.Node` | `insertBefore(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)`
`boolean` | `isDefaultNamespace(java.lang.String namespaceURI)`
`boolean` | `isEqualNode(org.w3c.dom.Node arg)`
`boolean` | `isSameNode(org.w3c.dom.Node other)`
`boolean` | `isSupported(java.lang.String feature, java.lang.String version)`
`java.lang.String` | `lookupNamespaceURI(java.lang.String prefix)`
`java.lang.String` | `lookupPrefix(java.lang.String namespaceURI)`
`void` | `normalize()`
`org.w3c.dom.Node` | `removeChild(org.w3c.dom.Node oldChild)`
`org.w3c.dom.Node` | `replaceChild(org.w3c.dom.Node newChild, org.w3c.dom.Node oldChild)`
`void` | `setNodeValue(java.lang.String nodeValue)`
`void` | `setPrefix(java.lang.String prefix)`
`void` | `setTextContent(java.lang.String textContent)`
`java.lang.Object` | `setUserData(java.lang.String key, java.lang.Object dat, org.w3c.dom.UserDataHandler handler)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getNodeName

    public java.lang.String getNodeName()

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`

### getNodeType

    public final short getNodeType()

  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`

### getNodeValue

    public java.lang.String getNodeValue()

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `org.w3c.dom.Node`

### cloneNode

    public final org.w3c.dom.Node cloneNode(boolean deep)

  Specified by:
    `cloneNode` in interface `org.w3c.dom.Node`

### compareDocumentPosition

    public final short compareDocumentPosition(org.w3c.dom.Node other)

  Specified by:
    `compareDocumentPosition` in interface `org.w3c.dom.Node`

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `org.w3c.dom.Node`

### getBaseURI

    public final java.lang.String getBaseURI()

  Specified by:
    `getBaseURI` in interface `org.w3c.dom.Node`

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  Specified by:
    `getChildNodes` in interface `org.w3c.dom.Node`

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`

### getLastChild

    public final org.w3c.dom.Node getLastChild()

  Specified by:
    `getLastChild` in interface `org.w3c.dom.Node`

### getNamespaceURI

    public final java.lang.String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `org.w3c.dom.Node`

### getNextSibling

    public org.w3c.dom.Node getNextSibling()

  Specified by:
    `getNextSibling` in interface `org.w3c.dom.Node`

### getPreviousSibling

    public org.w3c.dom.Node getPreviousSibling()

  Specified by:
    `getPreviousSibling` in interface `org.w3c.dom.Node`

### getParentNode

    public org.w3c.dom.Node getParentNode()

  Specified by:
    `getParentNode` in interface `org.w3c.dom.Node`

### hasChildNodes

    public final boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `org.w3c.dom.Node`

### isSameNode

    public final boolean isSameNode(org.w3c.dom.Node other)

  Specified by:
    `isSameNode` in interface `org.w3c.dom.Node`

### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

  Specified by:
    `getOwnerDocument` in interface `org.w3c.dom.Node`

### hasAttributes

    public final boolean hasAttributes()

  Specified by:
    `hasAttributes` in interface `org.w3c.dom.Node`

### getFeature

    public final java.lang.Object getFeature(java.lang.String feature,
                                             java.lang.String version)

  Specified by:
    `getFeature` in interface `org.w3c.dom.Node`

### getPrefix

    public final java.lang.String getPrefix()

  Specified by:
    `getPrefix` in interface `org.w3c.dom.Node`

### getTextContent

    public final java.lang.String getTextContent()

  Specified by:
    `getTextContent` in interface `org.w3c.dom.Node`

### appendChild

    public final org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)

  Specified by:
    `appendChild` in interface `org.w3c.dom.Node`

### getUserData

    public final java.lang.Object getUserData(java.lang.String key)

  Specified by:
    `getUserData` in interface `org.w3c.dom.Node`

### isSupported

    public final boolean isSupported(java.lang.String feature,
                                     java.lang.String version)

  Specified by:
    `isSupported` in interface `org.w3c.dom.Node`

### insertBefore

    public final org.w3c.dom.Node insertBefore(org.w3c.dom.Node newChild,
                                               org.w3c.dom.Node refChild)

  Specified by:
    `insertBefore` in interface `org.w3c.dom.Node`

### isDefaultNamespace

    public final boolean isDefaultNamespace(java.lang.String namespaceURI)

  Specified by:
    `isDefaultNamespace` in interface `org.w3c.dom.Node`

### isEqualNode

    public final boolean isEqualNode(org.w3c.dom.Node arg)

  Specified by:
    `isEqualNode` in interface `org.w3c.dom.Node`

### lookupNamespaceURI

    public final java.lang.String lookupNamespaceURI(java.lang.String prefix)

  Specified by:
    `lookupNamespaceURI` in interface `org.w3c.dom.Node`

### lookupPrefix

    public final java.lang.String lookupPrefix(java.lang.String namespaceURI)

  Specified by:
    `lookupPrefix` in interface `org.w3c.dom.Node`

### normalize

    public final void normalize()

  Specified by:
    `normalize` in interface `org.w3c.dom.Node`

### removeChild

    public final org.w3c.dom.Node removeChild(org.w3c.dom.Node oldChild)

  Specified by:
    `removeChild` in interface `org.w3c.dom.Node`

### replaceChild

    public final org.w3c.dom.Node replaceChild(org.w3c.dom.Node newChild,
                                               org.w3c.dom.Node oldChild)

  Specified by:
    `replaceChild` in interface `org.w3c.dom.Node`

### setNodeValue

    public final void setNodeValue(java.lang.String nodeValue)

  Specified by:
    `setNodeValue` in interface `org.w3c.dom.Node`

### setPrefix

    public final void setPrefix(java.lang.String prefix)

  Specified by:
    `setPrefix` in interface `org.w3c.dom.Node`

### setTextContent

    public final void setTextContent(java.lang.String textContent)

  Specified by:
    `setTextContent` in interface `org.w3c.dom.Node`

### setUserData

    public final java.lang.Object setUserData(java.lang.String key,
                                              java.lang.Object dat,
                                              org.w3c.dom.UserDataHandler handler)

  Specified by:
    `setUserData` in interface `org.w3c.dom.Node`

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getNod

    public final Nod getNod()

  Returns the XQuery node.

  Returns:
    xquery node

### error

    public final void error()

  Throws a DOM modification exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD